Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Transaction History (KEYED)

Applicable for querying futures transaction history

Request URL

GET https://cloud-api.wooxpro.com/contract/private/transaction-history

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/transaction-history?symbol=BTCUSDT&start_time=1662368173000&end_time=1662368179000
FieldTypeRequired?Description
symbolStringNoSymbol of the contract
flow_typeIntNoType
- 0 = All (default)
- 1 = Transfer
- 2 = Realized PNL
- 3 = Funding Fee
- 4 = Commission Fee
- 5 = Liquidation Clearance
accountStringNoTrading account
-futures
-copy_trading
start_timeLongNoStart time(Timestamp in Milliseconds)
end_timeLongNoEnd time(Timestamp in Milliseconds)
page_sizeIntNoDefault 100; max 1000
  • If start_time and end_time are not sent, only data from the last 7 days will be returned.
  • If type is not sent, all types of account profit and loss transaction history will be returned.

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "",
      "type": "Transfer",
      "amount": "-0.37500000",
      "asset": "USDT",
      "account": "futures",
      "time": "1570608000000",
      "tran_id": "9689322392"
    },
    {
      "symbol": "BTCUSDT",
      "type": "Commission Fee",
      "amount": "-0.01000000",
      "asset": "USDT",
      "account": "futures",
      "time": "1570636800000",
      "tran_id": "9689322392"
    }
  ],
  "trace": "80ba1f07-1b6f-46ad-81dd-78ac7e9bbccd"
}
FieldTypeDescription
symbolStringSymbol of the contract
flow_typeIntType
- 0 = All (default)
- 1 = Transfer
- 2 = Realized PNL
- 3 = Funding Fee
- 4 = Commission Fee
- 5 = Liquidation Clearance
typeStringType
- Transfer
- Realized PNL
- Funding Fee
- Commission Fee
- Liquidation Clearance
accountStringTrading account
-futures
-copy_trading
amountStringAmount, supports positive and negative values
assetStringTransaction currency
timeStringTransaction timestamp, timestamp in ms
tran_idStringTransaction ID